org.apache.hadoop.yarn.api.protocolrecords

## Class CancelDelegationTokenRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.CancelDelegationTokenRequest

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class CancelDelegationTokenRequest
      extends Object

  The request issued by the client to the `ResourceManager` to cancel a delegation token.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CancelDelegationTokenRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Token` | `getDelegationToken()` Get the delegation token requested to be cancelled.
    `static CancelDelegationTokenRequest` | `newInstance(Token dToken)`
    `abstract void` | `setDelegationToken(Token dToken)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CancelDelegationTokenRequest

          public CancelDelegationTokenRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static CancelDelegationTokenRequest newInstance(Token dToken)

    - #### getDelegationToken

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract Token getDelegationToken()

      Get the delegation token requested to be cancelled.
      Returns:
        the delegation token requested to be cancelled.

    - #### setDelegationToken

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setDelegationToken(Token dToken)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.